Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jws.security
Interface SecurityRoles

All Superinterfaces:
  Annotation

Deprecated.

    @Retention(value=RUNTIME)
    @Target(value={TYPE, METHOD})
    public interface SecurityRoles

extends Annotation

See Also:
  `Defines the roles that are allowed to access the operations on the service. Roles may be applied at either the service (class) level or at the level of an individual method. The hosting container is responsible for ensuring that the security settings of the service are honored.`

Method Summary
`String[]` | `rolesAllowed()` Deprecated. Specifies a list of roles permitted to access the Web Service.
`String[]` | `rolesReferenced()` Deprecated. Specifies a list of roles referenced by the Web Service.

Methods inherited from interface java.lang.annotation.Annotation
`annotationType, equals, hashCode, toString`

Method Detail

### rolesAllowed

    String[] rolesAllowed()

  Deprecated.
  Specifies a list of roles permitted to access the Web Service. If the @SecurityRoles annotation is applied at the class level, then the roles listed may call any method on the Web Service. If the @SecurityRoles annotation is applied at the method level, then the roles expand the list of roles allowed to access that operation. This annotation is the equivalent of the <method-permission> entry in ejb-jar.xml

### rolesReferenced

    String[] rolesReferenced()

  Deprecated.
  Specifies a list of roles referenced by the Web Service. The Web Service may access other resources using the credentials of the roles listed. This annotation is the equivalent of the <security-role-ref> entry in ejb-jar.xml

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD